package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 出差人员信息对象 business_user
 * 
 * @author ruoyi
 * @date 2025-06-23
 */
public class BusinessUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 出差id */
    @Excel(name = "出差id")
    private Long businessId;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 出差人id */
    @Excel(name = "出差人id")
    private Long absenteeId;

    /** 出差人姓名 */
    @Excel(name = "出差人姓名")
    private String absenteeName;

    private String type;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBusinessId(Long businessId) 
    {
        this.businessId = businessId;
    }

    public Long getBusinessId() 
    {
        return businessId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setAbsenteeId(Long absenteeId)
    {
        this.absenteeId = absenteeId;
    }

    public Long getAbsenteeId()
    {
        return absenteeId;
    }
    public void setAbsenteeName(String absenteeName) 
    {
        this.absenteeName = absenteeName;
    }

    public String getAbsenteeName() 
    {
        return absenteeName;
    }
    public void setSubmitTime(Date submitTime) 
    {
        this.submitTime = submitTime;
    }

    public Date getSubmitTime() 
    {
        return submitTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessId", getBusinessId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("absenteeId", getAbsenteeId())
            .append("absenteeName", getAbsenteeName())
            .append("submitTime", getSubmitTime())
            .toString();
    }
}
